export default {
  common: {
    gender: {
      secrecy: 'Secrecy',
      male: 'Male',
      female: 'Female'
    },
    bool: {
      yes: 'Yes',
      no: 'No'
    },
    btn: {
      search: 'Search',
      remove: 'Remove',
      cancel: 'Cancel',
      submit: 'Submit',
      ok: 'Ok',
      detail: 'Detail',
      next: 'Next Step',
      prev: 'Prev Step',
      export: 'Export',
      select: 'Select',
      upload: 'Upload'
    },
    operation: 'Operation',
    operationOk: 'The operation was successful',
    tip: 'Tips',
    modify: 'Update',
    moveUp: 'Up',
    moveDown: 'Down',
    delete: 'Delete',
    createBy: 'Creator',
    createTime: 'Creation Time',
    beginTime: 'Begin Time',
    endTime: 'End Time',
    index: 'Index',
    validTip: 'Please input the form necessary information'
  },
  route: {
    dashboard: 'Dashboard',
    permission: 'Permission',
    pagePermission: 'Page Permission',
    rolePermission: 'Role Permission',
    directivePermission: 'Directive Permission',
    page401: '401',
    page404: '404',
    theme: 'Theme',
    i18n: 'I18n',
    profile: 'Profile',
    basic: 'Basic',
    goodsManagement: 'Goods',
    supplierManagement: 'Supplier',
    distributorManagement: 'Distributor',
    storageManagement: 'Storage',
    inventory: 'Inventory',
    purchaseInputManagement: 'Purchase Input',
    addPurchaseInput: 'Add Purchase Input',
    purchaseInputDetail: 'Purchase Input Detail',
    purchaseOutputManagement: 'Purchase Return',
    addPurchaseOutput: 'Add Purchase Return',
    purchaseOutputDetail: 'Purchase Return Detail',
    inventoryReportManagement: 'Report',
    storageBookManagement: 'Book',
    cardRecordManagement: 'Card Record',
    sales: 'Sales',
    salesOrderManagement: 'Sales Order',
    addSalesOrder: 'Add Sales Order',
    salesOrderDetail: 'Sales Order Detail',
    salesOutputManagement: 'Sales Output',
    addSalesOutput: 'Add Sales Output',
    salesOutputDetail: 'Sales Output Detail',
    system: 'System',
    userManagement: 'User',
    deptManagement: 'Department',
    roleManagement: 'Role',
    permissionManagement: 'Permission',
    logManagement: 'Log'
  },
  navbar: {
    dashboard: 'Dashboard',
    github: 'Github',
    logOut: 'Log Out',
    profile: 'Profile',
    theme: 'Theme',
    modifyPwd: 'Change Password'
  },
  http: {
    networkError: 'Network abnormal, check your network connection, please try again later.',
    networkTimeout: 'The current network connection suck. Please try again later.',
    serviceUnavailable: 'Service Unavailable',
    urlNotFound: 'Url not found',
    serverError: 'Internal Server Error',
    needLogin: 'Authorization has expired, please log in again.'
  },
  tagsView: {
    refresh: 'Refresh',
    close: 'Close',
    closeOthers: 'Close Others',
    closeAll: 'Close All'
  },
  settings: {
    title: 'Page style setting',
    theme: 'Theme Color',
    tagsView: 'Open Tags-View',
    fixedHeader: 'Fixed Header',
    sidebarLogo: 'Sidebar Logo'
  },
  langSelect: {
    selectSuccess: 'Switch Language Success'
  },
  login: {
    title: 'Integral System Login Form',
    logIn: 'Login',
    username: 'Username',
    password: 'Password',
    captcha: 'Captcha',
    usernameValid: 'Please enter the correct user name',
    passwordValid: 'Please enter the correct password',
    captchaValid: 'Please enter the captcha'
  },
  system: {
    permission: {
      addMenu: 'Add New Menu',
      currentMenu: 'Current Menu',
      addChildMenu: 'Add Child Menu',
      modifyMenu: 'Modify Menu',
      deleteMenu: 'Delete Menu',
      moveUp: 'Move Up',
      moveDown: 'Move Down',
      add: 'Add',
      delete: 'Delete',
      table: {
        index: 'Index',
        permName: 'Permission Name',
        permCode: 'Permission Code',
        operation: 'Operations',
        modify: 'Update',
        delete: 'Delete'
      },
      menuDlg: {
        title: 'Add/Update Menu',
        menuName: 'Menu Name',
        menuCode: 'Menu Code',
        isDefault: 'Default',
        remark: 'Remark',
        remarkContent: 'As long as the login is successful, it has the permission by default and does not need to be assigned.',
        valid: {
          menuName: 'Please enter the menu name',
          menuCode: 'Please enter the menu code',
          isDefault: 'Please select whether to default permissions'
        }
      },
      permDlg: {
        title: 'Add/Update Permission',
        permName: 'Perm Name',
        permCode: 'Perm Code',
        belongMenu: 'Menu',
        isDefault: 'Default',
        remark: 'Remark',
        remarkContent: 'As long as the login is successful, it has the permission by default and does not need to be assigned.',
        valid: {
          permName: 'Please enter the permission name',
          permCode: 'Please enter the permission code',
          isDefault: 'Please select whether to default permissions'
        }
      },
      selectOneMenu: 'Please select at least one menu',
      selectOnePerm: 'Please select at least one permission',
      deleteMenuTip: 'Are you sure you want to delete this menu?',
      deletePermTip: 'Are you sure you want to delete this permission?',
      deleteMorePermTip: 'Are you sure you want to delete these permission?'
    },
    role: {
      search: 'Search',
      addRole: 'Add Role',
      placeRoleName: 'Role Name',
      table: {
        roleName: 'Role Name',
        description: 'Role Description',
        roleCode: 'Role Code',
        operation: 'Operations',
        menuPerm: 'Assign',
        modify: 'Update',
        delete: 'Delete'
      },
      deleteRoleTip: 'Are you sure you want to delete the role?',
      roleDlg: {
        title: 'Add/Modify Role',
        roleName: 'Role Name',
        description: 'Description',
        valid: {
          roleName: 'Please enter the role name'
        }
      },
      assignDlg: {
        title: 'Assign Menu Permission'
      }
    },
    dept: {
      addTopDept: 'Add Top Department',
      addChildDept: 'Add',
      deleteDeptTip: 'Are you sure you want to delete the department?',
      deptDlg: {
        title: 'Add/Modify Department',
        parentDept: 'Parent Name',
        deptName: 'Name',
        description: 'Description',
        valid: {
          deptName: 'Please enter the department name'
        }
      },
      upTip: 'Are you sure you want to move the department order up?',
      downTip: 'Are you sure you want to move the department order down?'
    },
    user: {
      query: {
        deptName: 'Department',
        userName: 'Username',
        account: 'Account',
        mobile: 'Mobile',
        jobNumber: 'Job Number',
        userType: 'User Type',
        isLeave: 'Left',
        status: 'Status',
        search: 'Search',
        addUser: 'Add User'
      },
      table: {
        account: 'Account',
        userName: 'User Name',
        jobNumber: 'Job Number',
        mobile: 'Mobile',
        email: 'Email',
        sex: 'Gender',
        deptName: 'Department',
        leader: 'Leader',
        role: 'Role',
        userType: 'Type',
        isLeave: 'Left',
        status: 'Status',
        createTime: 'Creation Time',
        dataAuth: 'Data Permissions',
        assignRole: 'Role',
        resetPwd: 'Reset Password',
        frozen: 'Frozen',
        enable: 'Enable',
        leave: 'Fire'
      },
      addOrEdit: {
        title: 'Add/Update User',
        account: 'Account',
        jobNumber: 'Job Number',
        userName: 'User Name',
        mobile: 'Mobile',
        email: 'Email',
        deptName: 'Department',
        leader: 'Leader',
        sex: 'Gender',
        userType: 'Type',
        valid: {
          account: 'Please enter the account number',
          userName: 'Please enter the user name',
          deptName: 'Please select a department',
          leader: 'Please select whether you are the department head or not',
          sex: 'Please select the user gender',
          userType: 'Please select the user type'
        }
      },
      userType: {
        gm: 'GM',
        noGm: 'Not GM'
      },
      assignRole: {
        title: 'Assign Role',
        all: 'All Roles',
        had: 'Roles Owned'
      },
      resetPwdTip: 'Are you sure to initialize the password of this account?',
      frozenTip: 'After freezing the account, the account will not be able to log in. Are you sure to freeze?',
      enableTip: 'After the account is enabled, the account will be able to log in again. Are you sure to enable it?',
      fireTip: 'After dismissal, the account will lose all functions and cannot be restored. Are you sure to fire this employee?',
      deleteTip: 'After deleting the account, the account record will not be visible and cannot be restored. Are you sure to delete it?',
      assignDataTitle: 'Assign Data Permissions',
      leaveEnum: {
        quit: 'Resign',
        onJob: 'On-job'
      },
      userStatus: {
        normal: 'Normal',
        frozen: 'Frozen'
      },
      password: 'Password'
    },
    profile: {
      title: 'Change Password',
      old: 'Old Password',
      new: 'New Password',
      confirm: 'Password Confirm',
      valid: {
        old: 'Please enter the password',
        new: 'Please enter the new password',
        confirm: 'Please enter the new password again'
      },
      change: 'Change'
    },
    log: {
      account: 'Account',
      userName: 'User Name',
      type: 'Operation Type',
      ip: 'IP',
      log: 'Log',
      time: 'Time',
      types: {
        login: 'Login',
        add: 'Add',
        modify: 'Modify',
        delete: 'Delete'
      }
    }
  },
  basic: {
    goods: {
      typeName: 'Goods Type',
      allType: 'All Type',
      query: {
        goodsName: 'Goods Name',
        addGoods: 'Add Goods'
      },
      table: {
        goodsNo: 'Goods No',
        goodsName: 'Goods Name',
        denomination: 'Denomination(US $)',
        typeName: 'Goods Type',
        status: 'Status',
        onShelves: 'On-Shelves',
        offShelves: 'Off-Shelves'
      },
      typeDlg: {
        title: 'Add/Update Goods Type',
        parent: 'Superior Type',
        name: 'Type Name',
        valid: {
          parent: 'Please select the superior category',
          name: 'Please enter the type name'
        },
        tip: 'If the superior type changes, the goods under the current type will change together.'
      },
      deleteTypeTip: 'Are you sure to delete the goods type?',
      dlg: {
        title: 'Add/Modify Goods',
        goodsNo: 'Goods No',
        goodsName: 'Goods Name',
        typeId: 'Goods Type',
        denomination: 'Denomination',
        valid: {
          goodsNo: 'Please enter the goods number',
          goodsName: 'Please enter the goods name',
          typeId: 'Please select a goods type',
          denomination: 'Please enter the denomination'
        }
      },
      onShelvesTip: 'Goods can not be modified or deleted after putting on the shelf. Are you sure to put on the shelf?',
      offShelvesTip: 'The goods cannot be purchased and put into storage after being removed from the shelves. Are you sure to put off the shelf?',
      deleteGoodsTip: 'Are you sure to delete the goods type?',
      statusFilter: {
        edit: 'Editing',
        onShelves: 'On-Shelves',
        offShelves: 'Off-Shelves'
      }
    },
    supplier: {
      query: {
        supplierName: 'Supplier Name',
        addSupplier: 'Add Supplier'
      },
      table: {
        supplierName: 'Supplier Name',
        contact: 'Contact',
        mobile: 'Mobile',
        email: 'Email',
        address: 'Address',
        priceDiscount: 'Discount'
      },
      addDlg: {
        title: 'Add/Update Supplier',
        supplierName: 'Supplier Name',
        contact: 'Contact',
        mobile: 'Mobile',
        email: 'Email',
        address: 'Address',
        valid: {
          supplierName: 'Please enter the supplier name',
          contact: 'Please enter the contact',
          mobile: 'Please enter the supplier\'s mobile',
          email: 'Please enter the supplier\'s email',
          address: 'Please enter the supplier\'s address'
        }
      },
      deleteTip: 'After the supplier is deleted, the price maintenance table is also deleted. Are you sure to delete?',
      priceDlg: {
        title: 'Price Maintenance',
        addGoods: 'Add Goods',
        table: {
          discount: 'Discount Ratio'
        },
        removeGoodsPriceTip: 'Are you sure to delete this item?',
        valid: {
          goodsId: 'Please select the goods information in line INDEX',
          discount: 'Please enter the discount in line INDEX'
        }
      }
    },
    distributor: {
      query: {
        distributorName: 'Distributor Name',
        addDistributor: 'Add Distributor'
      },
      table: {
        distributorName: 'Distributor Name',
        contact: 'Contact',
        mobile: 'Mobile',
        email: 'Email',
        address: 'Address',
        priceDiscount: 'Discount',
        cooperationTime: 'Cooperation Time',
        showPwd: 'Password'
      },
      addDlg: {
        title: 'Add/Update Distributor',
        distributorName: 'Distributor Name',
        contact: 'Contact',
        mobile: 'Mobile',
        email: 'Email',
        address: 'Address',
        deliverPassword: 'Deliver Password',
        cooperationTime: 'Cooperation Time',
        valid: {
          distributorName: 'Please enter the distributor name',
          contact: 'Please enter the contact',
          mobile: 'Please enter the distributor\'s mobile',
          email: 'Please enter the distributor\'s email',
          address: 'Please enter the distributor\'s address',
          deliverPassword: 'Please enter the distributor\'s delivery password',
          cooperationTime: 'Please enter the distributor\'s cooperation time'
        }
      },
      deleteTip: 'After the distributor is deleted, the price maintenance table is also deleted. Are you sure to delete?',
      priceDlg: {
        title: 'Price Maintenance',
        addGoods: 'Add Goods',
        table: {
          discount: 'Discount Ratio'
        },
        removeGoodsPriceTip: 'Are you sure to delete this item?',
        valid: {
          goodsId: 'Please select the goods information in line INDEX',
          discount: 'Please enter the discount in line INDEX'
        }
      }
    },
    storage: {
      query: {
        storageName: 'WareHouse Name',
        addStorage: 'Add WareHouse'
      },
      table: {
        storageName: 'WareHouse Name',
        contact: 'Contact',
        mobile: 'Mobile',
        address: 'Address',
        manager: 'Manager'
      },
      addDlg: {
        title: 'Add/Update WareHouse',
        storageName: 'WareHouse Name',
        contact: 'Contact',
        mobile: 'Mobile',
        address: 'Address',
        manager: 'Manager',
        valid: {
          storageName: 'Please enter the warehouse name',
          contact: 'Please enter the warehouse\'s contact',
          mobile: 'Please enter the phone number of the warehouse\'s contact',
          address: 'Please enter the warehouse\'s address',
          manager: 'Please select the warehouse manager'
        }
      }
    }
  }
}
