export default {
  common: {
    gender: {
      secrecy: '保密',
      male: '男',
      female: '女'
    },
    bool: {
      yes: '是',
      no: '否'
    },
    btn: {
      search: '搜索',
      remove: '移除',
      cancel: '取 消',
      submit: '提 交',
      ok: '确 定',
      detail: '查看',
      next: '下一步',
      prev: '上一步',
      export: '导出',
      select: '选择',
      upload: '上传',
      selectAll: '全选'
    },
    operation: '操作',
    operationOk: '执行成功',
    tip: '提示',
    modify: '编辑',
    moveUp: '上移',
    moveDown: '下移',
    delete: '删除',
    createBy: '创建人',
    createTime: '创建时间',
    beginTime: '开始时间',
    endTime: '结束时间',
    index: '序号',
    validTip: '请填写表单必要信息'
  },
  route: {
    dashboard: '首页',
    permission: '权限测试页',
    rolePermission: '角色权限',
    pagePermission: '页面权限',
    directivePermission: '指令权限',
    backToTop: '返回顶部',
    page401: '401',
    page404: '404',
    theme: '换肤',
    i18n: '国际化',
    profile: '个人中心',
    basic: '基础信息',
    goodsManagement: '商品管理',
    supplierManagement: '供应商管理',
    distributorManagement: '分销商管理',
    storageManagement: '仓库管理',
    inventory: '库存管理',
    purchaseInputManagement: '采购入库',
    addPurchaseInput: '新增采购入库',
    purchaseInputDetail: '采购入库详情',
    purchaseOutputManagement: '采购退库',
    addPurchaseOutput: '新增采购退库',
    purchaseOutputDetail: '采购退库详情',
    inventoryReportManagement: '库存报表',
    storageBookManagement: '出入库账簿',
    cardRecordManagement: '点卡档案',
    sales: '销售管理',
    salesOrderManagement: '销售订单',
    addSalesOrder: '新增销售订单',
    salesOrderDetail: '销售订单详情',
    salesOutputManagement: '销售出库',
    addSalesOutput: '新增销售出库单',
    salesOutputDetail: '销售出库详情',
    system: '系统管理',
    userManagement: '用户管理',
    addUserPage: '新增外部用户',
    editUserPage: '编辑外部用户',
    deptManagement: '组织架构',
    roleManagement: '角色管理',
    permissionManagement: '权限管理',
    logManagement: '操作日志'
  },
  navbar: {
    dashboard: '首页',
    logOut: '退出登录',
    profile: '个人中心',
    theme: '换肤',
    modifyPwd: '修改密码'
  },
  http: {
    networkError: '网络异常,检查您的网络连接,请稍后再试.',
    networkTimeout: '当前网络连接不给力,请稍后再试.',
    serviceUnavailable: '服务不可用',
    urlNotFound: '请求URL不存在',
    serverError: '服务器错误,请联系管理员.',
    needLogin: '授权已失效,请重新登录'
  },
  theme: {
    change: '换肤',
    documentation: '换肤文档',
    tips: 'Tips: 它区别于 navbar 上的 theme-pick, 是两种不同的换肤方法，各自有不同的应用场景，具体请参考文档。'
  },
  tagsView: {
    refresh: '刷新',
    close: '关闭',
    closeOthers: '关闭其它',
    closeAll: '关闭所有'
  },
  settings: {
    title: '系统布局配置',
    theme: '主题色',
    tagsView: '开启 Tags-View',
    fixedHeader: '固定 Header',
    sidebarLogo: '侧边栏 Logo'
  },
  langSelect: {
    selectSuccess: '选择语言成功'
  },
  login: {
    title: 'Integral系统登录',
    logIn: '登录',
    username: '账号',
    password: '密码',
    captcha: '验证码',
    usernameValid: '请输入正确的用户名',
    passwordValid: '请输入正确的密码',
    captchaValid: '请输入验证码'
  },
  system: {
    permission: {
      addMenu: '添加新菜单',
      currentMenu: '当前菜单',
      addChildMenu: '添加子菜单',
      modifyMenu: '修改菜单',
      deleteMenu: '删除菜单',
      moveUp: '上移菜单',
      moveDown: '下移菜单',
      add: '添加',
      delete: '删除',
      table: {
        index: '序号',
        permName: '功能名称',
        permCode: '权限代码',
        operation: '操作',
        modify: '修改',
        delete: '删除'
      },
      menuDlg: {
        title: '新增/编辑菜单',
        menuName: '菜单名称',
        menuCode: '菜单代码',
        isDefault: '是否默认拥有',
        remark: '备注',
        remarkContent: '只要登录就默认拥有该权限,不需要分配.',
        valid: {
          menuName: '请输入菜单名称',
          menuCode: '请输入菜单代码',
          isDefault: '请选择是否默认权限'
        }
      },
      permDlg: {
        title: '新增/编辑权限',
        permName: '权限名称',
        permCode: '权限代码',
        belongMenu: '所属菜单',
        isDefault: '是否默认拥有',
        remark: '备注',
        remarkContent: '只要登录就默认拥有该权限,不需要分配.',
        valid: {
          permName: '请输入权限名称',
          permCode: '请输入权限代码',
          isDefault: '请选择是否默认权限'
        }
      },
      selectOneMenu: '请至少选择一个菜单',
      selectOnePerm: '请至少选择一个权限',
      deleteMenuTip: '确定要删除该菜单吗？',
      deletePermTip: '确定要删除该权限吗？',
      deleteMorePermTip: '确定要删除这些权限吗？'
    },
    role: {
      search: '搜索',
      addRole: '新增角色',
      placeRoleName: '角色名称',
      table: {
        roleName: '角色名称',
        description: '角色描述',
        roleCode: '角色代码',
        operation: '操作',
        menuPerm: '菜单权限',
        modify: '编辑',
        delete: '删除'
      },
      deleteRoleTip: '确定要删除该角色吗?',
      roleDlg: {
        title: '新增/编辑角色',
        roleName: '角色名称',
        description: '角色描述',
        valid: {
          roleName: '请输入角色名称'
        }
      },
      assignDlg: {
        title: '分配菜单权限'
      }
    },
    dept: {
      addTopDept: '新增一级部门',
      addChildDept: '新增子部门',
      deleteDeptTip: '确定要删除该部门吗?',
      deptDlg: {
        title: '新增/编辑部门',
        parentDept: '上级部门',
        deptName: '部门名称',
        description: '部门描述',
        valid: {
          deptName: '请输入部门名称'
        }
      },
      upTip: '确定将该部门顺序上移么?',
      sownTip: '确定将该部门顺序下移么?'
    },
    user: {
      query: {
        deptName: '部门',
        userName: '用户名',
        account: '账号',
        mobile: '手机号',
        jobNumber: '工号',
        userType: '用户类型',
        isLeave: '是否离职',
        status: '账号状态',
        search: '搜索',
        addUser: '新增用户'
      },
      table: {
        account: '账号',
        userName: '用户名',
        jobNumber: '工号',
        mobile: '手机号',
        email: '邮件',
        sex: '性别',
        deptName: '部门',
        leader: '部门主管',
        role: '角色',
        userType: '用户类型',
        isLeave: '是否离职',
        status: '账号状态',
        createTime: '创建时间',
        dataAuth: '数据权限',
        assignRole: '分配角色',
        resetPwd: '重置密码',
        frozen: '冻结',
        enable: '启用',
        leave: '离职'
      },
      addOrEdit: {
        title: 'Add/Update User',
        account: '账号',
        jobNumber: '工号',
        userName: '用户名',
        mobile: '手机号',
        email: '邮件',
        deptName: '部门',
        leader: '部门主管',
        sex: '性别',
        userType: '用户类型',
        valid: {
          account: '请输入账号',
          userName: '请输入用户名',
          deptName: '请选择部门',
          leader: '请选择是否是部门主管',
          sex: '请选择用户性别',
          userType: '请选择用户类型'
        }
      },
      userType: {
        gm: 'GM',
        noGm: '非GM'
      },
      assignRole: {
        title: '分配角色',
        all: '所有角色',
        had: '拥有角色'
      },
      resetPwdTip: '确认初始化该账号的密码吗?',
      frozenTip: '冻结该账号后，该账号将无法登陆，确认冻结?',
      enableTip: '启用该账号后，该账号将可以重新登陆，确认启用?',
      fireTip: '你确定开除这个员工么,开除后这个账号将失去所有一切功能,并且不能恢复。确定开除么?',
      deleteTip: '删除该账号后,这个账号记录将不可见,无法恢复.确认删除么?',
      assignDataTitle: '分配数据权限',
      leaveEnum: {
        quit: '离职',
        onJob: '在职'
      },
      userStatus: {
        normal: '正常',
        frozen: '冻结'
      },
      password: '密码'
    },
    profile: {
      title: '修改密码',
      old: '旧密码',
      new: '新密码',
      confirm: '新密码确认',
      valid: {
        old: '请输入密码',
        new: '请输入新密码',
        confirm: '请再次输入密码'
      },
      change: '修改密码'
    },
    log: {
      account: '账号',
      userName: '操作人',
      type: '操作类型',
      ip: 'IP',
      log: '日志',
      time: '时间',
      types: {
        login: '登录',
        add: '新增',
        modify: '修改',
        delete: '删除'
      }
    }
  },
  basic: {
    goods: {
      typeName: '商品类型',
      allType: '所有类型',
      query: {
        goodsName: '商品名称',
        addGoods: '新增商品'
      },
      table: {
        goodsNo: '商品编号',
        goodsName: '商品名称',
        denomination: '面额(美元)',
        typeName: '商品分类',
        status: '状态',
        onShelves: '上架',
        offShelves: '下架'
      },
      typeDlg: {
        title: '新增/修改类型',
        parent: '上级类型',
        name: '类型名称',
        valid: {
          parent: '请选择上级分类',
          name: '请输入类型名称'
        },
        tip: '上级类型发生变动,当前类型下的商品会一起变动'
      },
      deleteTypeTip: '确认删除该商品类型么?',
      dlg: {
        title: '新增/修改商品',
        goodsNo: '商品编号',
        goodsName: '商品名称',
        typeId: '商品分类',
        denomination: '商品面额',
        valid: {
          goodsNo: '请输入商品编号',
          goodsName: '请输入商品名称',
          typeId: '请选择商品分类',
          denomination: '请输入商品面额'
        }
      },
      onShelvesTip: '商品上架后不能修改和删除,确定上架么?',
      offShelvesTip: '商品下架后不能进行采购入库,确定下架么?',
      deleteGoodsTip: '确定删除商品么?',
      statusFilter: {
        edit: '正在编辑',
        onShelves: '已上架',
        offShelves: '已下架'
      }
    },
    supplier: {
      query: {
        supplierName: '供应商名称',
        addSupplier: '新增供应商'
      },
      table: {
        supplierName: '供应商名称',
        contact: '联系人',
        mobile: '联系电话',
        email: '联系邮件',
        address: '地址',
        priceDiscount: '价格维护'
      },
      addDlg: {
        title: '新增/修改供应商',
        supplierName: '供应商名称',
        contact: '联系人',
        mobile: '联系电话',
        email: '联系邮件',
        address: '地址',
        valid: {
          supplierName: '请输入供应商名称',
          contact: '请输入联系人',
          mobile: '请输入联系电话',
          email: '请输入联系邮件',
          address: '请输入地址'
        }
      },
      deleteTip: '删除供应商后,价格维护表也被删除,确定删除么?',
      priceDlg: {
        title: '价格维护',
        addGoods: '添加商品',
        table: {
          discount: '折扣比例'
        },
        removeGoodsPriceTip: '确定删除这条商品维护么?',
        valid: {
          goodsId: '请选择第INDEX行的商品',
          discount: '请输入第INDEX行的折扣比例'
        }
      }
    },
    distributor: {
      query: {
        distributorName: '分销商名称',
        addDistributor: '新增分销商'
      },
      table: {
        distributorName: '分销商名称',
        contact: '联系人',
        mobile: '联系电话',
        email: '联系邮件',
        address: '地址',
        priceDiscount: '价格维护',
        cooperationTime: '合作日期',
        showPwd: '显示密码'
      },
      addDlg: {
        title: '新增/修改分销商',
        distributorName: '分销商名称',
        contact: '联系人',
        mobile: '联系电话',
        email: '联系邮件',
        address: '地址',
        deliverPassword: '发货密码',
        cooperationTime: '合作日期',
        valid: {
          distributorName: '请输入分销商名称',
          contact: '请输入联系人',
          mobile: '请输入联系电话',
          email: '请输入联系邮件',
          address: '请输入地址',
          deliverPassword: '请输入发货密码',
          cooperationTime: '请输入合作日期'
        }
      },
      deleteTip: '删除分销商后,价格维护表也被删除,确定删除么?',
      priceDlg: {
        title: '价格维护',
        addGoods: '添加商品',
        table: {
          discount: '折扣比例'
        },
        removeGoodsPriceTip: '确定删除这条商品维护么?',
        valid: {
          goodsId: '请选择第INDEX行的商品',
          discount: '请输入第INDEX行的折扣比例'
        }
      }
    },
    storage: {
      query: {
        storageName: '仓库名称',
        addStorage: '新增仓库'
      },
      table: {
        storageName: '仓库名称',
        contact: '联系人',
        mobile: '联系电话',
        address: '地址',
        manager: '仓库管理员'
      },
      addDlg: {
        title: '新增/修改仓库',
        storageName: '仓库名称',
        contact: '联系人',
        mobile: '联系电话',
        address: '地址',
        manager: '仓库管理员',
        valid: {
          storageName: '请输入仓库名称',
          contact: '请输入仓库联系人',
          mobile: '请输入仓库联系人电话',
          address: '请输入仓库地址',
          manager: '请选择仓库管理员'
        }
      }
    }
  },
  inventory: {
    purchaseInput: {
      query: {
        inputNo: '采购入库单号',
        goodsName: '商品名称',
        supplier: '供应商',
        createTime: '创建时间',
        beginTime: '开始时间',
        endTime: '结束时间',
        add: '新增采购入库'
      },
      table: {
        inputNo: '入库单号',
        supplier: '供应商',
        goodsName: '商品名称',
        denomination: '单价面额(美元)',
        quantity: '商品数量',
        totalDenomination: '总面额(美元)',
        costPrice: '总成本价(美元)',
        storage: '入库仓库',
        createBy: '创建人',
        createTime: '创建时间'
      },
      add: {
        step1: {
          title: '入库信息',
          mainTitle: '录入采购信息',
          storage: '接收仓库',
          supplier: '供应商',
          storageTime: '入库日期',
          inputGoods: '入库商品',
          cardValidBeginTime: '点卡有效期开始时间',
          cardValidEndTime: '点卡有效期结束时间',
          remark: '入库备注',
          valid: {
            storage: '请选择接收仓库',
            supplier: '请选择供应商',
            storageTime: '请输入入库日期',
            inputGoods: '请输入入库商品',
            cardValidBeginTime: '请选择点卡有效期开始时间',
            cardValidEndTime: '请选择点卡有效期结束时间',
            timeValid: '点卡有效期结束时间必须必开始时间大'
          },
          supplierNotGoodsTip: '该经销商下未查找到商品,请先做价格维护.'
        },
        step2: {
          title: '录入兑换码',
          explain: '说明',
          explain1: '1，批量导入：导入TXT文件，每行文本代表一个兑换码，不同行数文本不允许重复',
          explain2: '2，单卡录入：单张点卡录入，兑换码不允许重复，保存完成后，在确认明细中查看',
          batchImport: '批量导入',
          uploadTip: '将文件拖到此处，或',
          uploadTip2: '点击上传',
          uploadTip3: '只能上传txt文件，且不超过1Mb',
          successImportRow: '已成功导入',
          row: '行',
          uploadTip4: '上传文件大小不能超过1Mb',
          uploading: '文件上传中...',
          uploadOk: '文件上传完成,正在校验数据...',
          uploadSuccess: '全部导入成功, 共导入SUCCESS行',
          singleImport: '单卡录入',
          addAndGoOn: '添加并继续',
          repeat: '重复的兑换码',
          inputTip: '请导入或者手动录入兑换码'
        },
        step3: {
          title: '采购明细',
          tip: '请仔细核对兑换码',
          goodsName: '商品名称',
          denomination: '商品面额(美元)',
          code: '兑换码',
          beginTime: '有效期开始时间',
          endTime: '有效期结束时间'
        },
        step4: {
          title: '合计信息',
          supplier: '供应商',
          discount: '折扣',
          quantity: '商品数量',
          totalPrice: '总面额(美元)',
          totalCost: '总成本(美元)'
        },
        dlg: {
          title: '导入结果',
          tip: '共检测: TOTAL行, 成功导入: SUCCESS行, 失败: FAILED行, 失败原因如下',
          line: '行数',
          message: '说明'
        }
      }
    },
    purchaseOutput: {
      query: {
        outputNo: '采购退库单号',
        inputNo: '采购入库单号',
        goodsName: '商品名称',
        supplier: '供应商',
        createTime: '创建时间',
        beginTime: '开始时间',
        endTime: '结束时间',
        add: '新增采购退库'
      },
      table: {
        outputNo: '退库单号',
        inputNo: '入库单号',
        supplier: '供应商',
        goodsName: '商品名称',
        denomination: '单价面额(美元)',
        quantity: '退库数量',
        totalDenomination: '总面额(美元)',
        costPrice: '总成本价(美元)',
        storage: '退库仓库',
        createBy: '创建人',
        createTime: '创建时间'
      },
      add: {
        title1: '退库信息',
        inputNo: '关联入库单号',
        selectInput: '选择入库单',
        storage: '退库仓库',
        supplier: '供应商',
        goods: '退库商品',
        outputTime: '退库日期',
        remark: '备注',
        title2: '退库明细',
        denomination: '单价面额(美元)',
        code: '兑换码',
        title3: '合计信息',
        quantity: '总数量',
        totalDenomination: '总面额(美元)',
        costPrice: '总成本价(美元)',
        valid: {
          inputNo: '请关联入库单号',
          outputTime: '请选择退库时间',
          code: '请选择退库兑换码'
        },
        dlg: {
          title: '选择入库单',
          inputNo: '采购入库单号',
          quantity: '可退数量'
        },
        cancelCheckedBtn: '取消选择'
      }
    },
    report: {
      query: {
        typeName: '商品类型',
        goodsName: '商品名称'
      },
      table: {
        storage: '仓库',
        goodsName: '商品名称',
        denomination: '面额(美元)',
        typeName: '商品分类',
        totalNum: '总库存数量',
        validNum: '在库有效数量',
        inValidNum: '在库无效数量',
        totalDenomination: '总面额(美元)',
        detail: '点卡明细'
      },
      dlg: {
        title: '点卡明细',
        code: '兑换码',
        cardValidBeginTime: '点卡有效期开始时间',
        cardValidEndTime: '点卡有效期结束时间'
      }
    },
    book: {
      query: {
        orderNo: '关联单号',
        goodsName: '商品名称',
        type: '操作类型',
        createTime: '创建时间',
        beginTime: '开始时间',
        endTime: '结束时间'
      },
      type: {
        in: '采购入库',
        out: '采购退库',
        sale: '销售出库'
      },
      table: {
        storage: '仓库',
        goodsName: '商品名称',
        denomination: '面额(美元)',
        quantity: '数量',
        type: '操作类型',
        orderNo: '关联单号',
        totalDenomination: '总面额(美元)',
        company: '供应商/经销商',
        detail: '点卡明细',
        direct: '直销'
      },
      dlg: {
        title: '点卡明细',
        code: '兑换码',
        cardValidBeginTime: '点卡有效期开始时间',
        cardValidEndTime: '点卡有效期结束时间'
      }
    },
    card: {
      query: {
        goodsName: '商品名称',
        status: '状态',
        code: '兑换码'
      },
      status: {
        inAndValid: '在库有效',
        inValid: '在库无效',
        out: '已出库'
      },
      table: {
        storage: '仓库',
        goodsName: '商品名称',
        denomination: '面额(美元)',
        code: '兑换码',
        status: '状态',
        cardValidBeginTime: '点卡有效期开始时间',
        cardValidEndTime: '点卡有效期结束时间',
        inputTime: '入库日期',
        outputTime: '出库日期'
      }
    }
  },
  sales: {
    order: {
      query: {
        orderNo: '销售订单号',
        goodsName: '商品名称',
        distributor: '分销商',
        add: '新增销售订单'
      },
      table: {
        orderNo: '销售订单号',
        distributor: '分销商',
        goodsName: '商品名称',
        denomination: '单价面额(美元)',
        salesNum: '销售数量',
        totalDenomination: '商品面额(美元)',
        outputNum: '已出库数量',
        totalPrice: '总面额(美元)',
        salesPrice: '销售金额(美元)'
      },
      add: {
        title1: '销售信息',
        orderNo: '销售订单号',
        distributor: '分销商',
        arrivalTime: '要求到货日期',
        payCredit: '付款凭证',
        attachment: '附件',
        remark: '备注',
        imageUploadFailed: '图片上传失败',
        uploadImageTip: '只允许上传jpg/jpeg/png格式且不超过2M的图片,最多支持3张.',
        imageSizeTip: '最多只允许上传2M大小的图片',
        imageLenTip: '最多只允许上传3张图片',
        fileUploadFailed: '文件上传失败',
        uploadFileTip: '只允许上传word/Excel/PDF的文件且单个文件不超过5M，最多支持上传3个.',
        fileSizeTip: '最多只允许上传5M大小的文件',
        fileLenTip: '最多只允许上传3个文件',
        valid: {
          orderNo: '请输入销售订单号',
          distributor: '请选择分销商',
          arrivalTime: '请输入要求到货日期',
          images: '请上传付款凭证',
          files: '请上传销售附件',
          salesGoodsList: '请添加销售商品',
          goodsId: '请选择第INDEX行销售商品',
          salesNum: '请填写第INDEX行销售商品数量'
        },
        title2: '销售商品',
        addGoods: '新增商品',
        goods: {
          goodsName: '商品名称',
          denomination: '单价面额(美元)',
          discount: '折扣',
          salesNum: '销售数量'
        },
        distributorTip: '请先选择分销商',
        removeGoodsTip: '确定删除该商品么?',
        title3: '合计信息',
        totalNum: '总数量',
        totalDenomination: '总面额(美元)',
        totalSalesPrice: '总销售金额(美元)',
        addAndOutput: '提交并新增出库单',
        distributorNotGoodsTip: '该分销商下未查找到商品,请先做价格维护.'
      }
    },
    output: {
      query: {
        outputNo: '销售出库单号',
        goodsName: '商品名称',
        distributor: '分销商',
        add: '新增销售出库单'
      },
      table: {
        outputNo: '销售出库单号',
        type: '销售类型',
        orderNo: '销售订单号',
        distributor: '分销商',
        goodsName: '商品名称',
        denomination: '单价面额(美元)',
        salesNum: '销售数量',
        totalDenomination: '商品面额(美元)',
        outputNum: '已出库数量',
        totalPrice: '总面额(美元)',
        salesPrice: '销售金额(美元)',
        storage: '发货仓库'
      },
      type: {
        distributor: '分销出库',
        direct: '直销出库'
      },
      add: {
        title1: '出库信息',
        type: '出库类型',
        orderNo: '销售订单编号',
        selectNo: '关联销售订单',
        storage: '发货仓库',
        distributor: '分销商',
        outputTime: '出库日期',
        remark: '备注',
        title2: '出库商品',
        goodsName: '商品名称',
        denomination: '单价面额(美元)',
        outputNum: '出库数量',
        goodsDenomination: '商品面额(美元)',
        salesPrice: '销售金额(美元)',
        validNum: '在库有效数',
        title3: '合计信息',
        totalNum: '总数量',
        totalDenomination: '总面额(美元)',
        totalSalesPrice: '总销售金额(美元)',
        dlgTitle: '关联销售订单',
        salesNum: '销售数量',
        valid: {
          orderNo: '请关联销售订单',
          storage: '请选择发货仓库',
          outputTime: '请输入出库日期',
          addGoods: '请添加销售商品',
          goodsId: '请选择第INDEX行商品',
          outputNum: '请填写第INDEX行出库数量'
        }
      },
      detail: {
        outputNo: '销售出库单号'
      }
    }
  }
}
